## org.eclipse.emf.ecore
Interface EValidator.Registry

All Superinterfaces:
  java.util.Map<EPackage,java.lang.Object>

All Known Implementing Classes:
  EValidatorRegistryImpl

Enclosing interface:
  EValidator

    public static interface EValidator.Registry

extends java.util.Map<EPackage,java.lang.Object>

A map from `EPackage` to `EValidator`.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static EValidator.Registry` `INSTANCE` The global instance of a validator registry.

Method Summary
`EValidator` `getEValidator(EPackage ePackage)` Looks up the package in the map.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### INSTANCE

    static final EValidator.Registry INSTANCE

  The global instance of a validator registry.

Method Detail

### getEValidator

    EValidator getEValidator(EPackage ePackage)

  Looks up the package in the map.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.